## GstPoll GstPoll |

## Functions

gboolean | gst_poll_add_fd ()
gboolean | gst_poll_fd_can_read ()
gboolean | gst_poll_fd_can_write ()
gboolean | gst_poll_fd_ctl_read ()
gboolean | gst_poll_fd_ctl_write ()
gboolean | gst_poll_fd_has_closed ()
gboolean | gst_poll_fd_has_error ()
void | gst_poll_fd_ignored ()
void | gst_poll_fd_init ()
void | gst_poll_free ()
GstPoll * | gst_poll_new ()
GstPoll * | gst_poll_new_timer ()
void | gst_poll_get_read_gpollfd ()
gboolean | gst_poll_remove_fd ()
void | gst_poll_restart ()
gboolean | gst_poll_set_controllable ()
void | gst_poll_set_flushing ()
gint | gst_poll_wait ()
gboolean | gst_poll_read_control ()
gboolean | gst_poll_write_control ()

## Types and Values

| GstPoll
| GstPollFD
#define | GST_POLL_FD_INIT

## Includes

    #include <gst/gst.h>

## Description

## Functions

### gst_poll_add_fd ()

    gboolean
    gst_poll_add_fd (GstPoll *set,
                     GstPollFD *fd);

### gst_poll_fd_can_read ()

    gboolean
    gst_poll_fd_can_read (const GstPoll *set,
                          GstPollFD *fd);

### gst_poll_fd_can_write ()

    gboolean
    gst_poll_fd_can_write (const GstPoll *set,
                           GstPollFD *fd);

### gst_poll_fd_ctl_read ()

    gboolean
    gst_poll_fd_ctl_read (GstPoll *set,
                          GstPollFD *fd,
                          gboolean active);

### gst_poll_fd_ctl_write ()

    gboolean
    gst_poll_fd_ctl_write (GstPoll *set,
                           GstPollFD *fd,
                           gboolean active);

### gst_poll_fd_has_closed ()

    gboolean
    gst_poll_fd_has_closed (const GstPoll *set,
                            GstPollFD *fd);

### gst_poll_fd_has_error ()

    gboolean
    gst_poll_fd_has_error (const GstPoll *set,
                           GstPollFD *fd);

### gst_poll_fd_ignored ()

    void
    gst_poll_fd_ignored (GstPoll *set,
                         GstPollFD *fd);

### gst_poll_fd_init ()

    void
    gst_poll_fd_init (GstPollFD *fd);

### gst_poll_free ()

    void
    gst_poll_free (GstPoll *set);

### gst_poll_new ()

    GstPoll *
    gst_poll_new (gboolean controllable);

### gst_poll_new_timer ()

    GstPoll *
    gst_poll_new_timer (void);

### gst_poll_get_read_gpollfd ()

    void
    gst_poll_get_read_gpollfd (GstPoll *set,
                               GPollFD *fd);

### gst_poll_remove_fd ()

    gboolean
    gst_poll_remove_fd (GstPoll *set,
                        GstPollFD *fd);

### gst_poll_restart ()

    void
    gst_poll_restart (GstPoll *set);

### gst_poll_set_controllable ()

    gboolean
    gst_poll_set_controllable (GstPoll *set,
                               gboolean controllable);

### gst_poll_set_flushing ()

    void
    gst_poll_set_flushing (GstPoll *set,
                           gboolean flushing);

### gst_poll_wait ()

    gint
    gst_poll_wait (GstPoll *set,
                   GstClockTime timeout);

### gst_poll_read_control ()

    gboolean
    gst_poll_read_control (GstPoll *set);

### gst_poll_write_control ()

    gboolean
    gst_poll_write_control (GstPoll *set);

## Types and Values

### GstPoll

    typedef struct _GstPoll GstPoll;

### GstPollFD

    typedef struct {
      int fd;
    } GstPollFD;

### GST_POLL_FD_INIT

    #define GST_POLL_FD_INIT  { -1, -1 }